Manage webhook endpoints for real-time events
/api/v1/webhooksReturns all configured webhook endpoints. Requires admin or owner role.
curl https://api.offly.net/api/v1/webhooks \
-H "Authorization: Bearer YOUR_API_KEY"Do not use production API keys on shared devices. Keys are stored in memory only.
/api/v1/webhooksCreates a new webhook endpoint. Requires admin or owner role.
| Field | Type | Description |
|---|---|---|
| url* | string(uri) | |
| events* | array |
| Field | Type | Description |
|---|---|---|
| id | string(uuid) | |
| url | string(uri) | |
| events | array | |
| is_active | boolean | |
| secret | string | Only returned on creation |
| created_at | string(date-time) |
curl -X POST https://api.offly.net/api/v1/webhooks \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Do not use production API keys on shared devices. Keys are stored in memory only.
/api/v1/webhooks/{id}| Name | Type | In | Description |
|---|---|---|---|
| id* | string(uuid) | path |
| Field | Type | Description |
|---|---|---|
| url | string(uri) | |
| events | array | |
| is_active | boolean |
| Field | Type | Description |
|---|---|---|
| id | string(uuid) | |
| url | string(uri) | |
| events | array | |
| is_active | boolean | |
| secret | string | Only returned on creation |
| created_at | string(date-time) |
curl -X PATCH https://api.offly.net/api/v1/webhooks/{id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Do not use production API keys on shared devices. Keys are stored in memory only.
/api/v1/webhooks/{id}| Name | Type | In | Description |
|---|---|---|---|
| id* | string(uuid) | path |
curl -X DELETE https://api.offly.net/api/v1/webhooks/{id} \
-H "Authorization: Bearer YOUR_API_KEY"Do not use production API keys on shared devices. Keys are stored in memory only.